:root {
    --c-red: #e5074c;
    --c-yellow: #dde61f;
    --c-pink: #fdaebf;
    --c-blue: #003da6;
    --c-lightblue: #1fa4cf;
    --c-white: #f2f2f2;
    --size-base: 16px;
    --size-medium: 26px;
    --size-large: 76px;
    --size-xlarge: 192px;
    --line-height-base: 1.25;
    --line-height-small: 1;
    --margin-small: 15px;
    --margin-base: 30px;
    --margin-large: 60px;
    --border-radius: 40px;
}
@font-face {
    font-family: 'BeVietnamPro';
    src: url('assets/fonts/BeVietnamPro-Light.ttf');
    font-display: swap;
    font-weight: normal;
}
@font-face {
    font-family: 'BeVietnamPro';
    src: url('assets/fonts/BeVietnamPro-LightItalic.ttf');
    font-display: swap;
    font-style: italic;
    font-weight: normal;
}
@font-face {
    font-family: 'BeVietnamPro';
    src: url('assets/fonts/BeVietnamPro-ExtraLight.ttf');
    font-display: swap;
    font-weight: 300;
}
@font-face {
    font-family: 'BeVietnamPro';
    src: url('assets/fonts/BeVietnamPro-Bold.ttf');
    font-display: swap;
    font-weight: bold;
}
/* Font degli studenti */
@font-face {
    font-family: 'AncientNature';
    src: url('assets/fonts/ancientnature.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Ashanti';
    src: url('assets/fonts/Ashanti.ttf');
    font-display: swap;
}
@font-face {
    font-family: 'ClimbingLine';
    src: url('assets/fonts/ClimbingLine.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Delpho';
    src: url('assets/fonts/Delpho.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Florabella';
    src: url('assets/fonts/Florabella.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Hexagon';
    src: url('assets/fonts/Hexagon.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Hydro';
    src: url('assets/fonts/Hydro.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Neon';
    src: url('assets/fonts/Neon.otf');
    font-display: swap;
}
@font-face {
    font-family: 'PeruvianAntiqua';
    src: url('assets/fonts/PeruvianAntiqua.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Sharp';
    src: url('assets/fonts/Sharp.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Tabar';
    src: url('assets/fonts/Tabar.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Twi';
    src: url('assets/fonts/Twi.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Unita';
    src: url('assets/fonts/Unita.otf');
    font-display: swap;
}
@font-face {
    font-family: 'Wave';
    src: url('assets/fonts/Wave.otf');
    font-display: swap;
}
.font-1 {
    font-family: 'AncientNature', sans-serif;
}
.font-2 {
    font-family: 'Ashanti', sans-serif;
}
.font-3 {
    font-family: 'ClimbingLine', sans-serif;
}
.font-4 {
    font-family: 'Delpho', sans-serif;
}
.font-5 {
    font-family: 'Florabella', sans-serif;
}
.font-6 {
    font-family: 'Hexagon', sans-serif;
}
.font-7 {
    font-family: 'Hydro', sans-serif;
}
.font-8 {
    font-family: 'Neon', sans-serif;
}
.font-9 { 
    font-family: 'PeruvianAntiqua', sans-serif;
} 
.font-10 {
    font-family: 'Sharp', sans-serif;
}
.font-11 {
    font-family: 'Tabar', sans-serif;
}
.font-12 {
    font-family: 'Unita', sans-serif;
}
.font-13 {
    font-family: 'Wave', sans-serif;
}
.font-14 {
    font-family: 'Twi', sans-serif;
}
html, body {
    overflow-x: hidden;
    height: 100%;
}
html {
    -webkit-font-smoothing: antialiased;
    scroll-behavior: smooth;
}
body {
    margin: 0 var(--frame-width);
    font-family: 'BeVietnamPro', Arial, sans-serif;
    background-color: var(--c-red);
    color: #000;
    font-size: var(--size-base);
    line-height: var(--line-height-base);
}
h1 {
    font-size: var(--size-xlarge);
    line-height: var(--line-height-small);
    font-weight: bold;
    letter-spacing: -10px;
}
h2 {
    font-size: var(--size-large);
    line-height: var(--line-height-small);
    font-weight: 300;
    color: #fff;
}
h3 {
    font-size: var(--size-medium);
    line-height: var(--line-height-small);
    margin-bottom: var(--margin-small);
}
h4, h5, h6 {
    font-size: var(--size-base);
    line-height: var(--line-height-base);
}
p {
    margin-block-start: 0;
    margin-bottom: 0;
}
img, video {
    display: block;
    width: 100%;
    max-width: 100%;
}
a {
    text-decoration: none;
    color: #000;
}

/* Bottoni */
.button {
    background-color: var(--c-yellow);
    padding: var(--margin-small) var(--margin-base);
    border-radius: 50vw;
    display: inline-flex;
    align-items: center;
    white-space: nowrap;
}
.button:hover {
    transform: scale(1.1);
}
.button-arrow {
    display: flex;
    column-gap: var(--margin-small);
}
.button-arrow svg {
    width: 17px;
    height: auto;
}
.button-fixed {
    position: fixed;
    top: calc(var(--margin-base) + 10px);
    right: 55px;
    z-index: 99999;
}
.button-download svg {
    width: 15px;
    height: auto;
}

/* Margini esterni, divisione in colonne e larghezza colonne */
.row-wrapper {
    margin: var(--margin-small) var(--margin-base);
}
.multiple-columns {
    display: flex;
    column-gap: var(--margin-small);
}
.size-half,
.preview-half {
    flex-grow: 1;
    flex-basis: 50%;
}
.size-third {
    flex-basis: 33%;
}

/* Aspect ratio di immagini e video */
.aspect-ratio-horizontal {
    aspect-ratio: 69 / 55;
    position: relative;
}
.aspect-ratio-vertical {
    aspect-ratio: 34 / 55;
    position: relative;
}
.aspect-ratio video,
.aspect-ratio img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}






/* Nav */
.main-nav {
    position: fixed;
    top: var(--margin-base);
    left: 0;
    z-index: 9999;
    width: 100%;
    display: flex;
    justify-content: center;
}
.main-nav ul {
    padding-left: 0;
    margin-bottom: 0;
    list-style-type: none;
    display: flex;
}
.main-nav ul.nav-first-level {
    background-color: #fff;
    border-radius: 50vw;
    align-items: center;
    column-gap: var(--margin-small);
    padding: 10px;
}
.main-nav li ul.nav-second-level {
    position: absolute;
    left: calc(0px - var(--margin-small));
    top: 65px;
    flex-direction: column;
    row-gap: 5px;
}
.main-nav li.menu-item-active ul.nav-second-level {
    left: 0;
}
.main-nav ul.nav-first-level li {
    background-color: #fff;
    padding: var(--margin-small) var(--margin-small);
    border-radius: 50vw;
}
.main-nav ul.nav-second-level li {
    padding: var(--margin-small) var(--margin-base);
    white-space: nowrap;
}
.main-nav li.menu-item-active ul.nav-second-level li a {
    color: #000;
    font-weight: normal;
}
.main-nav ul li.menu-item-active {
    background-color: var(--c-red);
    font-weight: bold;
    padding: var(--margin-small) var(--margin-base);
}
.main-nav ul li.menu-item-active svg path {
    fill: #fff;
}
.main-nav ul li.menu-item-active a {
    color: #fff;
}
.main-nav ul li:not(.menu-item-active) a:hover {
    color: var(--c-red);
}
.main-nav li.menu-item-active ul.nav-second-level li a:hover {
    color: var(--c-red);
}
.main-nav ul li:not(.menu-item-active) a:hover svg path {
    fill: var(--c-red);
}
.main-nav ul li.nav-parent {
    position: relative;
}
.main-nav ul li.nav-parent svg {
    width: 13px;
    height: auto;
}
.main-nav ul li.nav-parent:not(.nav-second-level-closed) svg {
    transform: rotate(180deg);
}
.main-nav ul li.nav-parent a {
    display: flex;
    align-items: baseline;
    column-gap: 10px;
}
.main-nav li.menu-item-active ul.nav-second-level li.menu-sub-item-active a {
    font-weight: bold;
    color: var(--c-red);
}
.main-nav li ul.nav-second-level.hidden {
    display: none;
}

/* Footer */
.main-footer {
    display: flex;
    color: #fff;
    justify-content: space-between;
    margin: 140px 140px var(--margin-large);
    text-align: center;
    column-gap: var(--margin-large);
}
.main-footer a {
    color: #fff;
}

/* Marquee */
.marquee-wrapper {
    margin: var(--margin-large) 0;
}

/* Hero video */
.hero-video {
    background-color: var(--c-white);
    border-radius: var(--border-radius);
    height: calc(100vh - var(--margin-small)*2);
    position: relative;
}
.hero-video video {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--border-radius);
}
.hero-video-button{
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
    padding-bottom: 120px;
}
.hero-video-button .button {
    position: absolute;
}

/* Carousel */
.carousel-item img {
    border-radius: var(--border-radius);
}
.carousel-indicators [data-bs-target] {
    width: 10px;
    height: 10px;
    border-radius: 10px;
    opacity: 1;
    margin: 0 5px;
    border: 0;
}
.carousel-indicators .active {
    background-color: var(--c-red);
}

/* Sezione preview */
.preview {
    background-color: var(--c-white);
    border-radius: var(--border-radius);
    display: flex;
}
.preview-media video {
    border-radius: 0 var(--border-radius) var(--border-radius) 0;
}
.preview-media img {
    border-radius: var(--border-radius) 0 0 var(--border-radius);
}
.preview-half .preview-media video {
    border-radius: var(--border-radius) 0 0 var(--border-radius);
}
/* Preview homepage */
.preview-info {
    padding: var(--margin-base) var(--margin-base) var(--margin-large);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.preview-text {
    display: flex;
    column-gap: var(--margin-large);
    row-gap: var(--margin-base);
}
.preview-text-text {
    flex-basis: 60%;
}
.preview-text-button {
    flex-basis: 40%;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
}
.preview-half .preview-text {
    flex-direction: column;
}
.preview-half .preview-text-button {
    justify-content: flex-start;
}
/* Preview hero title */
.preview-hero-title {
    flex-direction: column;
    align-items: center;
    text-align: center;
    row-gap: var(--margin-large);
    padding: 180px var(--margin-base) var(--margin-large);
}
.preview-description {
    max-width: 800px;
}
/* Preview font */
.preview-font {
    padding: var(--margin-base) var(--margin-base);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    row-gap: var(--margin-base);
}
.preview-font-info {
    display: flex;
    justify-content: space-between;
}
.preview-font-font {
    font-size: var(--size-large);
    line-height: var(--line-height-small);
}
.preview-font-font {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
/* Icone, tavole dinamiche, pattern */
.preview-work-wrapper {
    display: flex;
    flex-wrap: wrap;
    column-gap: var(--margin-small);
    row-gap: var(--margin-small);
}
.preview-work {
    position: relative;
}
.preview-work-icons {
    flex-basis: calc(20% - var(--margin-small)/5*4);
    padding: var(--margin-base);
}
.preview-work-patterns {
    flex-basis: calc(25% - var(--margin-small)/4*3);
}
.preview-work-patterns img {
    border-radius: var(--border-radius);
}
.preview-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--c-pink);
    border-radius: var(--border-radius);
    padding: var(--margin-base) var(--margin-base) var(--margin-large);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    opacity: 0;
    pointer-events: none;
}
.preview-work:hover .preview-overlay {
    opacity: 1;
    pointer-events: all;
}
.preview-work-patterns .preview-overlay p {
    font-size: var(--size-medium);
    line-height: var(--line-height-small);
}
.preview-overlay a {
    align-self: flex-end;
}
.preview-work-black {
    display: block;
}
.preview-work-white {
    display: none;
}
.preview-work.color-pop .preview-work-black {
    display: none;
}
.preview-work.color-pop .preview-work-white {
    display: block;
}

/* About */
.about-numbers{
    font-size: var(--size-xlarge);
    line-height: var(--line-height-small);
    font-weight: bold;
    padding-bottom: var(--margin-large);
}
.student-names {
    columns: 5;
    column-gap: var(--margin-large);
    text-align: center;
    color: #fff;
    padding-top: var(--margin-large);
    padding-bottom: var(--margin-large);
}




@media screen and (max-width: 992px) {
    :root {
        --size-base: 16px;
        --size-medium: 26px;
        --size-large: 30px;
        --size-xlarge: 50px;
        --line-height-base: 1.25;
        --line-height-small: 1;
        --margin-small: 10px;
        --margin-base: 15px;
        --margin-large: 30px;
        --border-radius: 25px;
    }
    main {
        padding-top: 80px;
    }
    h1 {
        letter-spacing: -2px;
    }
    .main-footer {
        margin: 60px var(--margin-large) var(--margin-large);
        flex-direction: column;
        row-gap: var(--margin-large);
        text-align: center;
    }
    .button {
        padding: var(--margin-base) var(--margin-large);
    }
    .button-fixed {
        position: fixed;
        top: auto;
        bottom: var(--margin-base);
        right: var(--margin-base);
        z-index: 99999;
    }
    .main-nav ul.nav-first-level {
        column-gap: 0;
    }
    .main-nav li ul.nav-second-level {
        left: calc(5px - var(--margin-small));
        top: 55px;
    }
    .multiple-columns {
        flex-direction: column;
        row-gap: var(--margin-small);
    }
    .hero-video {
        height: 30vh;
    }
    .hero-video-button{
        padding-bottom: var(--margin-base);
    }
    .preview {
        flex-direction: column;
    }
    .preview-media {
        order: 1;
    }
    .preview-info {
        order: 2;
    }
    .preview-media video,
    .preview-media img,
    .preview-half .preview-media video {
        border-radius: var(--border-radius) var(--border-radius) 0 0;
    }
    .preview-text {
        flex-direction: column;
        padding-top: var(--margin-large);
        row-gap: var(--margin-large);
    }
    .preview-text-button {
        justify-content: flex-start;
    }
    .preview-hero-title {
        padding: var(--margin-large) var(--margin-base);
    }
    .preview-font {
        row-gap: var(--margin-large);
    }
    .preview-font-info .button-download {
        display: none;
    }
    .preview-work-icons {
        flex-basis: calc(50% - var(--margin-small)/2);
    }
    .preview-work-patterns {
        flex-basis: 100%;
    }
    .preview-overlay {
        display: none;
    }
    .student-names {
        columns: 1;
    }
}